Bug 882980 - [cli] user update --no_default_environment becomes useless
[cli] user update --no_default_environment becomes useless
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Tom McKay
SAM QE List
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-12-03 09:40 EST by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 13:19:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gkhachik: automate_bug+


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-12-03 09:40:24 EST
Description of problem:
Unable to make update of user's default organization and meanwhile leaving the default environment to None. Seems that --no_default_environment is useless?

Version-Release number of selected component (if applicable):
candlepin-0.7.19-1.el6_3.noarch
candlepin-cert-consumer-ibm-x3650-01.ovirt.rhts.eng.bos.redhat.com-1.0-1.noarch
candlepin-tomcat6-0.7.19-1.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-3h.el6_3.noarch
katello-cli-common-1.2.4-3h.el6_3.noarch
katello-common-1.2.6-3h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-glue-candlepin-1.2.6-3h.el6_3.noarch
katello-headpin-1.2.6-3h.el6_3.noarch
katello-headpin-all-1.2.6-3h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-isodate-0.4.4-4.pulp.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
python-qpid-0.14-11.el6_3.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
rubygem-ldap_fluff-0.1.3-1.el6_3.noarch
thumbslug-0.0.27-1.el6_3.noarch
thumbslug-selinux-0.0.27-1.el6_3.noarch

How reproducible:
always doing user update

Steps to Reproduce:
1.create an org
2.user update --username "<user>" --default_organization "<org>" --no_default_environment
3.
  
Actual results:
headpin: errors:
1) Option --default_environment is required; please see --help
2) Option --no_default_environment is colliding with --default_organization, --default_environment; please see --help

Expected results:
seems that the --no_default_environment is not suing (any more). remove that. UI is not allowing to assign default org without an env.

Additional info:
Comment 1 Tom McKay 2012-12-12 13:19:32 EST
This seems like a misunderstanding of the feature. You may use either

--default_organization ORG --default_environment ENV

or

--no_default_environment

The --default_organization is only there for --default_environment to use to determine which environment to get. A user cannot just have a default organization.

Note You need to log in before you can comment on or make changes to this bug.